=== debian/changelog ===
wxastrocapture (1.8.1+git20140303+dfsg-2) unstable; urgency=low

  * Reupload - Thanks got to Thorsten Alteholz for his scrutiny
    - Removed doc directory for DFSG compliance
    - Identified LGPL-3+ source code

 -- Steffen Moeller <moeller@debian.org>  Tue, 06 May 2014 00:52:03 +0200

wxastrocapture (1.8.1+git20140303+dfsg-1) UNRELEASED; urgency=low

  * Initial release (Closes: #741294)

 -- Steffen Moeller <moeller@debian.org>  Mon, 03 Mar 2014 21:55:57 +0100
