=== debian/control ===
Source: wxastrocapture
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 9.0.0), cbp2make,
 libusb-dev, libv4l-dev,
 libwxgtk2.8-dev
#, libwxgtk2.8-dbg # dependency affects dpkg-shlibdeps
Standards-Version: 3.9.5
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/wxAstroCapture/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/wxAstroCapture/trunk/
Homepage: https://github.com/wxAstro/wxAstroCapture

Package: wxastrocapture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Windows linuX Astronomy Capture 
 wxAstroCapture controls cameras for planetary/lunar/solar and deep sky
 imaging. Long exposures are supported for SC modified webcams with
 serial and parallel port long exposure control. Also supported are
 Artemis/ATK cameras for 16bit deep sky imaging and webcam autoguiding
 using normal or long exposures.

Package: wxastrocapture-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, wxastrocapture
Description: Debug information for Windows linuX Astronomy Capture
 Debug information for the wxastrocapture package.
