=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	cbp2make -in wxWebcamDB.cbp -unix -out Makefile -targets UX_Release
	#cbp2make -in wxWebcamDB.cbp -unix -out Makefile -targets UX_Debug

override_dh_auto_build:
	$(MAKE) CFLAGS=-g 

override_dh_strip:
	dh_strip --dbg-package=wxastrocapture-dbg
