## wxastrocapture 1.8.1+git20140821+dfsg

=== debian/changelog ===
wxastrocapture (1.8.1+git20140821+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Drop manual debug package
  * debhelper 11
  * DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2018 14:48:46 +0100

wxastrocapture (1.8.1+git20140821+dfsg-1) unstable; urgency=low

  * debian/rules - get-orig-source target
  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (Closes: #755558).

 -- Steffen Moeller <moeller@debian.org>  Mon, 01 Sep 2014 16:01:42 +0200
