=== debian/control ===
Source: wxastrocapture
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cbp2make,
               libusb-dev,
               libv4l-dev,
               libwxgtk3.0-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/wxastrocapture.git
Vcs-Git: https://salsa.debian.org/science-team/wxastrocapture.git
Homepage: https://github.com/wxAstro/wxAstroCapture

Package: wxastrocapture
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Windows linuX Astronomy Capture
 wxAstroCapture controls cameras for planetary/lunar/solar and deep sky
 imaging. Long exposures are supported for SC modified webcams with
 serial and parallel port long exposure control. Also supported are
 Artemis/ATK cameras for 16bit deep sky imaging and webcam autoguiding
 using normal or long exposures.
