=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=-pie,+fortify
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


%:
	dh $@ 

override_dh_auto_configure:
	cbp2make -in wxWebcamDB.cbp -unix -out Makefile -targets UX_Release
	#cbp2make -in wxWebcamDB.cbp -unix -out Makefile -targets UX_Debug

override_dh_auto_build:
	# Compile with NDEBUG defined to handle assertion failures quietly line
	# wx2.8 does by default.
	$(MAKE) CFLAGS='-g -DNDEBUG'

VERSION=1.8.1
get-orig-source:
	#git clone https://github.com/wxAstro/wxAstroCapture.git wxAstroCapture-$(VERSION)
	tar --exclude bin --exclude doc --exclude .git -cJvf ../wxAstroCapture_$(VERSION)+git$(shell date +"%Y%m%d")+dfsg.tar.xz wxAstroCapture-$(VERSION)
	rm -rf ../wxAstroCapture-$(VERSION)
	mv wxAstroCapture-$(VERSION) ..
