## wxastrocapture 1.8.1+git20140821.796e1a1+dfsg

=== debian/changelog ===
wxastrocapture (1.8.1+git20140821.796e1a1+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:57 +0100

wxastrocapture (1.8.1+git20140821.796e1a1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add watch file using git mode (cheating a bit with version number
    since latest commit was 20140218 - but avoid epoch here)
  * Remove debian/README.source and use Files-Excluded instead
  * rebuild against wxWidgets GTK 3 package
    Closes: #933475
  * debhelper-compat 12
  * Remove trailing whitespace in debian/rules
  * Set upstream metadata fields: Repository.
  * Use canonical URL in Vcs-Browser.

 -- Andreas Tille <tille@debian.org>  Sat, 05 Oct 2019 11:26:48 +0200
