=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cbp2make,
                libusb-dev,
                libv4l-dev,
-               libwxgtk3.0-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/science-team/wxastrocapture.git
+               libwxgtk3.0-gtk3-dev
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/science-team/wxastrocapture
 Vcs-Git: https://salsa.debian.org/science-team/wxastrocapture.git
 Homepage: https://github.com/wxAstro/wxAstroCapture
