=== debian/watch ===
version=4

opts="mode=git,pretty=1.8.1+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
    https://github.com/wxAstro/wxAstroCapture.git HEAD
